{% extends 'inventory/base.html' %}
{% load crispy_forms_tags %}

{% block title %} | Inventory {% endblock %}

{% block content %}
    <div class="container">
        <h1 class="m-3 text-center">Barcode Lookup</h1>
        <h2 class="m-3 text-center">{{ barcode }}</h2>

        <div class="list-group">
            {% if part_locations|length > 1 %}
                <div class="text-center alert alert-danger">
                    There are more than one part location with this barcode. This should not be the case.
                </div>
            {% endif %}
            {% for part_location in part_locations %}
                <div class="list-group-item d-flex flex-row align-items-center justify-content-between">
                    <div class="d-flex flex-row align-items-center">
                        <h5 class="my-0">
                            <a href="{% url 'part' part_id=part_location.part.id %}">
                                {{ part_location.part.name }}
                            </a>
                        </h5>
                        {% if part_location.primary_location %}
                            <span class="badge badge-primary mx-3">primary</span>
                        {% endif %}
                    </div>
                    <span>{{ part_location.location }}</span>
                </div>
            {% endfor %}
        </div>


    </div>
{% endblock %}
